Return Code or Error Code with patches

Return Code or Error Code with patches

Post by Eric » Sun, 26 Aug 2001 01:04:27



Did somebody know's where i can find the doc with all the return code "failed" when you install somes patches ???

i just remember the return code "25" need a previous patch

Thank's in advence !
****************************************************
Eric Chamberland
Ingenieur de systemes
Centre de recherche du CHUL
2705 Blv laurier
Ste-Foy,Que
G1V 4G2

tel: (418) 656-4141 ext 6331
Fax: (418) 654-2761

 
 
 

Return Code or Error Code with patches

Post by Rich Tee » Sun, 26 Aug 2001 01:20:13


    [ Part 1, Text/PLAIN  17 lines. ]
    [ Not Shown. Use the "V" command to view or save this part. ]

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>

<pre>Did somebody know's where i can find the doc with all the return code "failed" when you install somes patches ???</pre>

If you want someone to help you, don't use HTML in news.  Use plain text.

The return codes are in the patchadd script (yes, they should be in
the man page!).

--
Rich Teer

President,
Rite Online Inc.

Voice: +1 (250) 979-1638
URL: http://www.rite-online.net

 
 
 

Return Code or Error Code with patches

Post by Drazen Kac » Sun, 26 Aug 2001 01:22:26




> <!doctype html public "-//w3c//dtd html 4.0 transitional//en">
> <html>

> <pre>Did [...]
>  If you want someone to help you, don't use HTML in news.  Use plain text.

Especially not incorrect HTML which claims to be correct.

--
 .-.   .-.    I will always cherish the initial misconceptions I had
(_  \ /  _)   about you.
     |

 
 
 

Return Code or Error Code with patches

Post by Tony Walto » Sun, 26 Aug 2001 01:21:10



>    Part 1.1    Type: Plain Text (text/plain)
>            Encoding: 7bit

{Please don't post as attachments.}

Did somebody know's where i can find the doc with all the return code
"failed" when you install somes patches ???

i just remember the return code "25" need a previous patch

The list of codes is at the top of the "installpatch" script which
you'll find delivered with the patch.

# Exit Codes:
#               0       No error
#               1       Usage error
#               2       Attempt to apply a patch that's already been
applied
#               3       Effective UID is not root
#               4       Attempt to save original files failed
#               5       pkgadd failed
#               6       Patch is obsoleted
#               7       Invalid package directory
#               8       Attempting to patch a package that is not
installed
#               9       Cannot access /usr/sbin/pkgadd (client problem)
#               10      Package validation errors
#               11      Error adding patch to root template
#               12      Patch script terminated due to signal
#               13      Symbolic link included in patch
#               14      NOT USED
#               15      The prepatch script had a return code other than
0.
#               16      The postpatch script had a return code other
than 0.
#               17      Mismatch of the -d option between a previous
patch
#                       install and the current one.
#               18      Not enough space in the file systems that are
targets
#                       of the patch.
#               19      $SOFTINFO/INST_RELEASE file not found
#               20      A direct instance patch was required but not
found
#               21      The required patches have not been installed on
the manager
#               22      A progressive instance patch was required but
not found
#               23      A restricted patch is already applied to the
package
#               24      An incompatible patch is applied
#               25      A required patch is not applied
#               26      The user specified backout data can't be found
#               27      The relative directory supplied can't be found
#               28      A pkginfo file is corrupt or missing
#               29      Bad patch ID format
#               30      Dryrun failure(s)
#               31      Path given for -C option is invalid
#               32      Must be running Solaris 2.6 or greater
#               33      Bad formatted patch file or patch file not found
#               34  The appropriate kernel jumbo patch needs to be
installed
#

--
Tony Walton

 
 
 

1. help: preserving error return codes thru function codes

f_exit()
{
        # status of script providing input ?
        status=$?

        if [ $status -ne 0 ];then
                # (show the sccs dir path supplied to the script
                # rather than the absolute pathname)
                sed -e "s#$SCCSDIR/#$ERR_SCCSDIR/#" >&2
        else
                sed -e "s#$SCCSDIR/#$ERR_SCCSDIR/#"
        fi

        exit $status

get -r$VER -e "${SCCSDIR}/${SCCSFILE}" 2>&1 | f_exit
---------------------------------------------------------------------------------------------
The generic f_exit function is supposed to exit with the exit code
generated by the get command - it doesn't. Any ideas how to get round
this?
TIA
Nick

2. Exiting xterm locks up X: 2.1.3{78}

3. Returning an exit code with the PID as an exit code

4. 2.4.16pre1 build fails in ipv4

5. Making KShell return code error from SQLPLUS error

6. Lots of lost packets

7. Explanation of the return codes for patch installation?

8. Is this a kernel bug?

9. Recommended patch -- Return code 35

10. Exit code / Error code when making ports

11. Help: Returning a return code to a program

12. fprintf does not return an error code if the file is deleted